local L = L_MinHud
local FN = L.Functions

local ChipColor = { -- Look at the possibilities! NiGHTS Link uses this. Table length: 24
	SKINCOLOR_EMERALD, SKINCOLOR_AQUA, SKINCOLOR_SKY, SKINCOLOR_BLUE, SKINCOLOR_PURPLE, SKINCOLOR_MAGENTA,
	SKINCOLOR_ROSY, SKINCOLOR_RED, SKINCOLOR_ORANGE, SKINCOLOR_GOLD, SKINCOLOR_YELLOW, SKINCOLOR_PERIDOT,
	SKINCOLOR_SEAFOAM, SKINCOLOR_CYAN, SKINCOLOR_WAVE, SKINCOLOR_SAPPHIRE, SKINCOLOR_VAPOR, SKINCOLOR_BUBBLEGUM,
	SKINCOLOR_VIOLET, SKINCOLOR_RUBY, SKINCOLOR_FLAME, SKINCOLOR_SUNSET, SKINCOLOR_SANDY, SKINCOLOR_LIME
}

FN.GetScoreChip = function(v, player)
-- Returns the chip graphic alongside a special color. This mimics NiGHTS in a way!
	local chip = "HUD_SCORE"+tostring(L.Tic/3 % 12)
	local color = ChipColor[((player.score/100)%#ChipColor)+1]
	
	return v.cachePatch(chip), v.getColormap(nil, color)
end