local L = L_MinHud
local CV = L.Console
local FN = L.Functions

FN.Draw = function()
-- Return true if MinHUD is active, false if not.
	if (CV.MINHUD.value) then return true end
	return false
end

FN.DrawSpecial = function()
-- Return true if in a NiGHTS level/Special Stage, false if not.
	if (maptol & TOL_NIGHTS) then return true end
	if G_IsSpecialStage() then return true end
	return false
end

FN.FlippedView = function(player, cam)
-- Check if camera is flipped.
	if (player.realmo and player.realmo.valid) and (player.realmo.eflags & MFE_VERTICALFLIP) then
		if (cam.chase == true) and (player.pflags & PF_FLIPCAM)
		or (cam.chase == false)
			then return true
		end
	end
	
	return false
end