-- ~Lianvee
-- See what you need with less space taken.
-- This is what a minimal HUD is.
local white="\x80"	--White/Reset
local magenta="\x81"--Magenta
local yellow="\x82"	--Yellow
local green="\x83"	--Green
local blue="\x84"	--Blue
local red="\x85"	--Red
local gray="\x86"	--Gray
local orange="\x87"	--Orange
local sky="\x88"	--Sky
local purple="\x89"	--Purple
local aqua="\x8A"	--Aqua
local peridot="\x8B"--Peridot
local azure="\x8C"	--Azure
local brown="\x8D"	--Brown
local rosy="\x8E" 	--Rosy
local inv="\x8F" 	--Inverted

-- Initialize variables. This also sets the basics of the HUD.
rawset(_G,"L_MinHud",{})
local L = L_MinHud
L.ModName = green.."Min"..yellow.."HUD"..white
L.ModNameSimple = "MinHUD"
L.VersionString = gray.."v"..white.."2"..gray.."."..white.."1"..white
L.VersionNumber = 2
L.VersionSub = 1
L.VersionDate = "30/7/2021"

-- Sub Tables.
L.HeadsUpDisplay = {}
L.Console = {}
L.Functions = {}

-- Locals. This allows us to call them later down the line when need be.
local HUD = L.HeadsUpDisplay
local CV = L.Console
local FN = L.Functions