local L = L_MinHud
local FN = L.Functions

FN.Ticker = function(type, player)
-- MinHUD's ticker. Independent from the global 'leveltime'.
	if FN.Draw() then
		if (type == "game") and (player == displayplayer)
		or (type == "title") or (type == "intermission")
			then L.Tic = max(0, $+1)
		end
	end
end

FN.ResetVars = function()
-- Reset all noteworthy MinHUD variables.
	L.Tic = 0
	
	L.CountdownTics = 0
	L.CountdownBounce = 0
	L.CountdownNumber = "HUD_BLANK"
	L.CountdownSound = sfx_none
	L.CountdownLock = false
	
	L.Overtime = false
	
	L.RedFlag = nil
	L.BlueFlag = nil
	
	L.SeenPlayer = nil
	L.SeenTics = 0
end